#include <def2191.h>

//----------------------------------------------------------------------------------------------
//				GLOBAL & EXTERNAL DECLARATIONS														
//---------------------------------------------------------------------------------------------- 
.Global SPI0_Interrupt_Priority;

//----------------------------------------------------------------------------------------------
//				INTERRUPT PRIORITY CONFIGURATION									
//----------------------------------------------------------------------------------------------
.section/code program;	
SPI0_Interrupt_Priority:
  	IOPG = 0;
  	ar=io(SYSCR);							/* Map Interrupt Vector Table to Page 0*/
  	ar = setbit 4 of ar;
	ar = setbit 0 of ar;					/* Turn on SPI */
  	io(SYSCR)=ar;

	DIS int;								/* Disable all interrupts */
  	IRPTL = 0x0;							/* Clear all interrupts */
  	ICNTL = 0x0;							/* Interrupt nesting disable */
  	IMASK = 0;								/* Mask all interrupts */
	
	IOPG = Interrupt_Controller_Page;		/* Set Interrupt Priorities */
	ar = 0xBB1B;							/* Set SPI0 to priority of 1 */
  	io(IPR1) = ar;
  	ar = 0xBBBB;							
  	io(IPR0) = ar;
  	io(IPR2) = ar;						
	io(IPR3) = ar; 	

	AY0=IMASK;
	AY1=0x0020;								/* Unmask SPI0 Interrupt */
	AR = AY0 or AY1;						
	IMASK=AR;

	RTS;